import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { CanDisable, CanDisableConstructor } from '@bravobit/bb-foundation';
import { TableColumnSortStrategy } from '../table.interfaces';
import { BbTable } from '../table/table.component';
declare class BbTableHeaderCellBase {
}
declare const BbTableHeaderCellMixinBase: CanDisableConstructor & typeof BbTableHeaderCellBase;
export declare class BbTableHeaderCell extends BbTableHeaderCellMixinBase implements OnInit, OnDestroy, CanDisable {
    private _changeDetection;
    private _table?;
    private _name?;
    private readonly _sortDirections;
    private _subscription;
    sort: TableColumnSortStrategy;
    private _sort;
    constructor(_changeDetection: ChangeDetectorRef, _table?: BbTable, _name?: string);
    ngOnInit(): void;
    ngOnDestroy(): void;
    readonly isDisabled: boolean;
    onClick(): void;
    private requestSortFromTable;
}
export {};
